RubyGems Malfunction


#1

Thanks to everybody who helped me with my 1.6â??1.8 issue.

Shamefully, however, I have a new question for you.
I downloaded the RubyGems folder and tried to run ./configure on it;
couldn’t do it so I assume it’s not installable that way. So I tried
cd’ing into the folder and typing “sudo gem update” to get Rails, but
all I get is this error:

/usr/bin/gem:3:in `require’: no such file to load – rubygems
(LoadError)
from /usr/bin/gem:3

Anybody know what I’m doing wrong?


#2

On Mar 5, 2006, at 10:56 PM, superN00b wrote:

    from /usr/bin/gem:3

Anybody know what I’m doing wrong?


Posted via http://www.ruby-forum.com/.

Have you tried reading README or possibly INSTALL?
(However I’m pretty sure its just:
sudo ruby setup.rb install
)


#3

Logan C. wrote:

On Mar 5, 2006, at 10:56 PM, superN00b wrote:

    from /usr/bin/gem:3

Anybody know what I’m doing wrong?


Posted via http://www.ruby-forum.com/.

Have you tried reading README or possibly INSTALL?
(However I’m pretty sure its just:
sudo ruby setup.rb install
)

Thanks! That did the trick.